%global sover   2.10
Name:           diet
Version:        2.10
Release:        4%{?dist}
Summary:        A computational servers toolkit

License:        CeCILL
URL:            http://graal.ens-lyon.fr/~diet/
Source0:        %{name}-%{version}.tar.gz
# Patch submitted upstream
Patch0:         0001-Fix-compilation-issue-in-DIET_server.cc.patch

BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  cmake >= 2.8.5
BuildRequires:  chrpath
BuildRequires:  omniORB-devel >= 4.1.4
BuildRequires:  /usr/bin/ssh
BuildRequires:  xqilla-devel
BuildRequires:  xerces-c-devel >= 3.0
BuildRequires:  LogService-devel >= 2.7.0
BuildRequires:  boost-devel >= 1.46.0

%description
DIET is a grid middleware that implements the Grid-RPC model.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       xerces-c-devel%{_isa} >= 3.0
Requires:       xqilla-devel%{_isa}
Requires:       LogService-devel%{_isa} >= 2.7.0
Requires:       omniORB-devel%{_isa} >= 4.1.4

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
Buildarch:      noarch

%description    doc
The %{name}-doc package contains documentation for
developing applications that use %{name}.

%package        examples
Summary:        Examples for %{name}

%description    examples
The %{name}-examples package contains samples applications
that use %{name}.


%prep
%autosetup -S git


cp LICENCE_eng.txt LICENSE.txt
iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.conv && mv -f LICENSE.conv LICENSE.txt

%build
mkdir build
pushd build
  %cmake  -DDIET_BUILD_DOC:BOOL=OFF \
  -DDIET_BUILD_TOOLS:BOOL=ON \
  -DDIET_USE_LOG:BOOL=ON \
  -DDIET_USE_WORKFLOW:BOOL=ON \
  -DDIET_WITH_MULTI_MA:BOOL=ON \
  -DDIET_WITH_STATISTICS:BOOL=ON \
  -DDIET_BUILD_EXAMPLES:BOOL=ON \
  -DDOC_INSTALL_DIR:PATH=%{_docdir}/%{name}/ ..

make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
  make install DESTDIR=%{buildroot}
  chrpath --delete %{buildroot}%{_bindir}/diet{Agent,Forwarder}
  chrpath --delete %{buildroot}%{_libdir}/libDIET_client.so.%{sover}
  chrpath --delete %{buildroot}%{_libdir}/libDIET_{client,SeD,Dagda,admin}.so.%{sover}

  # install documentation
  mkdir -p %{buildroot}%{_pkgdocdir}
  mkdir -p %{buildroot}%{_mandir}/man1/
  install -p -m0644 ../doc/*.pdf ../LICENSE.txt ../ChangeLog %{buildroot}%{_pkgdocdir}
  install -p -m0644 ../doc/man/*.1 %{buildroot}%{_mandir}/man1/

  mkdir -p %{buildroot}%{_libdir}/%{name}
  mv %{buildroot}%{_bindir}/examples %{buildroot}%{_libdir}/%{name}/
  mv %{buildroot}%{_sysconfdir} %{buildroot}%{_libdir}/%{name}/examples/config
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%dir %{_pkgdocdir}
%{_pkgdocdir}/LICENSE.txt
%{_pkgdocdir}/ChangeLog
%{_bindir}/dietAgent
%{_bindir}/dietForwarder
%{_bindir}/dietObjects
%{_bindir}/maDagAgent
%{_libdir}/*.so.*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/FWorkflow.dtd


%files devel
%{_includedir}/*
# Not multilib compliant/broken
%exclude %{_includedir}/Makefile.inc
%{_libdir}/*.so
%{_datadir}/cmake/Modules/DietConfig.cmake
%{_datadir}/cmake/Modules/FindDiet.cmake

%files doc
%dir %{_pkgdocdir}
%{_pkgdocdir}/LICENSE.txt
%{_pkgdocdir}/*.pdf

%files examples
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/examples



%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Jonathan Wakely <jwakely@redhat.com> - 2.10-2
- Rebuilt for Boost 1.66

* Thu Nov 30 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 2.10-1
- Upstream 2.10
- Drop patch upstreamed
- Fix compilation with GCC 7.x
- Use autosetup macros

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Jonathan Wakely <jwakely@redhat.com> - 2.9-12
- Rebuilt for s390x binutils bug

* Mon Jul 03 2017 Jonathan Wakely <jwakely@redhat.com> - 2.9-11
- Rebuilt for Boost 1.64

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Jonathan Wakely <jwakely@redhat.com> - 2.9-9
- Rebuilt for Boost 1.63

* Sat May 21 2016 Jonathan Wakely <jwakely@redhat.com> - 2.9-8
- Fix build for GCC 6 (#1307423)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 2.9-6
- Rebuilt for Boost 1.60

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 2.9-5
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.9-3
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 2.9-1
- Upstream 2.9

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.8.1-14
- Rebuilt for GCC 5 C++11 ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 2.8.1-13
- Rebuild for boost 1.57.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 Björn Esser <bjoern.esser@gmail.com> - 2.8.1-10
- rebuild for boost 1.55.0

* Mon May 26 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.8.1-9
- Fix FTBFS (RHBZ #1037036):
  - Work around build-breakdown triggered by broken cmake-macros
  (Add diet-2.8.1-cmake.diff)
  - Work around build-breakdown triggered by -Werror=format-security
  (Add diet-2.8.1-werror.diff).
- Install *-doc documentation into %%{_pkgdocdir}.
- BR: /usr/bin/ssh.
- Don't ship /usr/include/Makefile.inc.

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 2.8.1-9
- Rebuild for boost 1.55.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 2.8.1-7
- Rebuild for boost 1.54.0

* Fri Apr 19 2013 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.1-6
- Rebuilt for new xqilla-2.3.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.8.1-5
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.8.1-4
- Rebuild for Boost-1.53.0

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 2.8.1-3
- Rebuild for new boost

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.1-1
- upstream 2.8.1

* Sat Mar 24 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-4.cd326f85f75cgit
- upstream diet 2.8.0 post release (from git) -- fix the fPI
- do not rebuild documentation
- add examples

* Sun Mar 18 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-3
- fix license included in packages

* Mon Mar 12 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-2
- fix unowned directory
- add license to doc subpackage

* Mon Oct 31 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.8.0-1
- upstream 2.8.0
- remove dropped requirements (libuuid)

* Tue May 10 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 2.7.0-1
- upstream 2.7.0

* Mon Dec 20 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 2.6.0-1
- initial packaging
